#include <bits/stdc++.h>
using namespace std;
int main()
{
	freopen("bai3_17.inp", "r", stdin);
	freopen("bai3_17.out", "w", stdout);
 	int n;
 	cin>>n;
 	int a[n];
 	for(int i=0; i<n; i++)
 	{
 		cin>>a[i];
	}
	sort(a, a+n);
	int t=a[0]+a[n-1];
	cout<<t;
}

